Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin.fibheap
Class FibHeapDSExt

    java.lang.Object
      mauda.plugin.fibheap.FibHeapDS
          mauda.plugin.fibheap.FibHeapDSExt

All Implemented Interfaces:
  FibHeapOperations, FibHeapSubOperations

    public class FibHeapDSExt

extends FibHeapDS
implements FibHeapOperations, FibHeapSubOperations

Extends the FibHeapDS-class by fast direct access to nodes.

Author:
  Markus Krebs

Field Summary
`FibNodeDS[]` | `nodes`

Fields inherited from class mauda.plugin.fibheap.FibHeapDS
`fibNodes, subOperations`

Constructor Summary
`FibHeapDSExt()`

Method Summary
`java.lang.Object` | `clone()`
`void` | `cutOp(int node)` CUT
`void` | `decreasekeyOp(int key, int k)` DECREASE_KEY
`int` | `deleteminOp()` DELETE_MIN
`int` | `deleteOp(int key)` DELETE
`FibNodeDS[]` | `getAllNodes()`
`void` | `insertOp(int k)` INSERT
`void` | `linkOp(int node1, int node2)` LINK
`void` | `markOp(int node)` MARK
`void` | `newFHeapMeldOp(int node)` NEWFHEAPMELD
`void` | `removeOp(int node)` REMOVE
`void` | `setKeyOp(int node, int key)` SETKEY
`void` | `unmarkOp(int node)` UNMARK
`void` | `updateMinOp(int node)` UPDATEMIN

Methods inherited from class mauda.plugin.fibheap.FibHeapDS
`accessmin, add, clearSubOperationQueue, decreasekey, delete, deletemin, getCount, getHeapSize, getSubOperationQueue, insert, isEmpty, maxRank, meld, resetCount`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface mauda.plugin.fibheap.FibHeapSubOperations
`clearSubOperationQueue, getSubOperationQueue`

Field Detail

### nodes

    public FibNodeDS[] nodes

Constructor Detail

### FibHeapDSExt

    public FibHeapDSExt()

Method Detail

### insertOp

    public void insertOp(int k)

  Description copied from interface: `FibHeapOperations`
  INSERT

  Specified by:
    `insertOp` in interface `FibHeapOperations`
  Parameters:
    `k` - key to insert

### deleteminOp

    public int deleteminOp()

  Description copied from interface: `FibHeapOperations`
  DELETE_MIN

  Specified by:
    `deleteminOp` in interface `FibHeapOperations`
  Returns:
    key of removed node

### decreasekeyOp

    public void decreasekeyOp(int key,
                              int k)

  Description copied from interface: `FibHeapOperations`
  DECREASE_KEY

  Specified by:
    `decreasekeyOp` in interface `FibHeapOperations`
  Parameters:
    `key` - key to decreased
    `k` - new value of the decreased node

### deleteOp

    public int deleteOp(int key)

  Description copied from interface: `FibHeapOperations`
  DELETE

  Specified by:
    `deleteOp` in interface `FibHeapOperations`
  Parameters:
    `key` - key to delete
  Returns:
    deleted key

### setKeyOp

    public void setKeyOp(int node,
                         int key)

  Description copied from interface: `FibHeapSubOperations`
  SETKEY

  Specified by:
    `setKeyOp` in interface `FibHeapSubOperations`
  Parameters:
    `node` - old-value
    `key` - new-value

### cutOp

    public void cutOp(int node)

  Description copied from interface: `FibHeapSubOperations`
  CUT

  Specified by:
    `cutOp` in interface `FibHeapSubOperations`
  Parameters:
    `node` - key of node to cut

### markOp

    public void markOp(int node)

  Description copied from interface: `FibHeapSubOperations`
  MARK

  Specified by:
    `markOp` in interface `FibHeapSubOperations`
  Parameters:
    `node` - key of node to mark

### unmarkOp

    public void unmarkOp(int node)

  Description copied from interface: `FibHeapSubOperations`
  UNMARK

  Specified by:
    `unmarkOp` in interface `FibHeapSubOperations`
  Parameters:
    `node` - key of node to unmark

### linkOp

    public void linkOp(int node1,
                       int node2)

  Description copied from interface: `FibHeapSubOperations`
  LINK

  Specified by:
    `linkOp` in interface `FibHeapSubOperations`
  Parameters:
    `node1` - key of node
    `node2` - key of node that should linked to the first node

### updateMinOp

    public void updateMinOp(int node)

  Description copied from interface: `FibHeapSubOperations`
  UPDATEMIN

  Specified by:
    `updateMinOp` in interface `FibHeapSubOperations`
  Parameters:
    `node` - key of new minimum

### newFHeapMeldOp

    public void newFHeapMeldOp(int node)

  Description copied from interface: `FibHeapSubOperations`
  NEWFHEAPMELD

  Specified by:
    `newFHeapMeldOp` in interface `FibHeapSubOperations`
  Parameters:
    `node` - key of node to insert

### removeOp

    public void removeOp(int node)

  Description copied from interface: `FibHeapSubOperations`
  REMOVE

  Specified by:
    `removeOp` in interface `FibHeapSubOperations`
  Parameters:
    `node` - key of node to remove

### getAllNodes

    public FibNodeDS[] getAllNodes()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `FibHeapDS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD